declare const _default: import('vue').DefineComponent<{
    /**
     * 用户配置项（继承已有配置，非必要时候勿用）
     */
    opt: {
        type: ObjectConstructor;
        default: () => {};
    };
    /**
     * 容器宽度
     */
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 容器高度
     */
    height: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 数据项
     */
    data: {
        type: ObjectConstructor;
        default: () => {
            series: {
                name: string;
                data: number[];
            }[];
            axis: string[];
        };
    };
    /**
     * 柱状图颜色
     */
    color: {
        type: ArrayConstructor;
        default: null;
    };
    /**
     * 柱状图宽度
     */
    barWidth: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否堆叠
     */
    stack: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 圆角
     */
    radius: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否独立颜色
     */
    singleColor: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示背景
     */
    showBackground: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示可视区域
     */
    dataZoom: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 可视区域显示数量
     */
    dataZoomNumber: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 可视区域工具颜色
     */
    dataZoomColor: {
        type: BooleanConstructor;
        default: null;
    };
    /**
     * 是否启用数据轮播
     */
    carousel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 数据轮播间隔时间
     */
    interval: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否为曲线（需要 series.type 为 'line' 时生效）
     */
    smooth: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否开启区域渐变（需要 series.type 为 'line' 时生效）
     */
    areaGradient: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 图形（需要 series.type 为 'pictorial' 时生效）
     */
    symbol: {
        type: StringConstructor;
        default: string;
    };
}, {}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * 用户配置项（继承已有配置，非必要时候勿用）
     */
    opt: {
        type: ObjectConstructor;
        default: () => {};
    };
    /**
     * 容器宽度
     */
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 容器高度
     */
    height: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 数据项
     */
    data: {
        type: ObjectConstructor;
        default: () => {
            series: {
                name: string;
                data: number[];
            }[];
            axis: string[];
        };
    };
    /**
     * 柱状图颜色
     */
    color: {
        type: ArrayConstructor;
        default: null;
    };
    /**
     * 柱状图宽度
     */
    barWidth: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否堆叠
     */
    stack: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 圆角
     */
    radius: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否独立颜色
     */
    singleColor: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示背景
     */
    showBackground: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否显示可视区域
     */
    dataZoom: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 可视区域显示数量
     */
    dataZoomNumber: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 可视区域工具颜色
     */
    dataZoomColor: {
        type: BooleanConstructor;
        default: null;
    };
    /**
     * 是否启用数据轮播
     */
    carousel: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 数据轮播间隔时间
     */
    interval: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * 是否为曲线（需要 series.type 为 'line' 时生效）
     */
    smooth: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 是否开启区域渐变（需要 series.type 为 'line' 时生效）
     */
    areaGradient: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * 图形（需要 series.type 为 'pictorial' 时生效）
     */
    symbol: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    symbol: string;
    data: Record<string, any>;
    radius: number;
    color: unknown[];
    opt: Record<string, any>;
    width: string;
    height: string;
    barWidth: number;
    stack: boolean;
    singleColor: boolean;
    showBackground: boolean;
    dataZoom: boolean;
    dataZoomNumber: number;
    dataZoomColor: boolean;
    carousel: boolean;
    interval: number;
    smooth: boolean;
    areaGradient: boolean;
}, {}>;
export default _default;
